package fr.iutfbleau.projetIHM2022FI2.API;
public enum TypeGroupe {
    ROOT ("Tous les étudiants"), PARTITION ("partition"), FREE ("libre") ;

    private final String name;       

    private TypeGroupe(String s) {
        name = s;
    }
    public static TypeGroupe getType(String s){
        switch(s){
            case("Tous les étudiants"):
                return TypeGroupe.ROOT;
            case("partition"):
                return TypeGroupe.PARTITION;
            case("libre"):
                return TypeGroupe.FREE;
            default: return null;
        }
    }

}
